Package wx :: Package lib :: Package floatcanvas :: Module FloatCanvas :: Class DrawObject

[frames | no frames]

## Class DrawObject

Known Subclasses:
  `Arrow`, `Bitmap`, `Line`, `Point`, `PointSet`, `Polygon`, `RectEllipse`, `ScaledBitmap`, `ScaledText`, `ScaledTextBox`, `SquarePoint`, `Text`

This is the base class for all the objects that can be drawn.

One must subclass from this (and an assortment of Mixins) to create a new DrawObject.

Method Summary
| `__init__(self, InForeground, IsVisible)`
| `Bind(self, Event, CallBackFun)`
| `Hide(self)`
| `PutInBackground(self)`
| `PutInForeground(self)`
| `SetBrush(self, FillColor, FillStyle)`
| `SetHitBrush(self, HitColor)`
| `SetHitPen(self, HitColor, LineWidth)`
| `SetPen(self, LineColor, LineStyle, LineWidth)`
| `Show(self)`
| `UnBindAll(self)`

Class Variable Summary
`dict` | `BrushList` = `{('MediumGrey', 'Solid'): <wx._gdi.Brush; >...`
`dict` | `FillStyleList` = `{'CrossHatch': 114, 'FDiagonal_Hatch': 1...`
`dict` | `LineStyleList` = `{'Solid': 100, 'ShortDash': 103, 'Dot': ...`
`dict` | `PenList` = `{('LightGrey', 'Solid', 1): <wx._gdi.Pen; >, ...`

Class Variable Details

### BrushList

  Type:
    `dict`
  Value:

        {(None, 'Transparent'): <wx._gdi.Brush;  >,
         ('Black', 'Solid'): <wx._gdi.Brush;  >,
         ('Blue', 'Solid'): <wx._gdi.Brush;  >,
         ('Cyan', 'Solid'): <wx._gdi.Brush;  >,
         ('Green', 'Solid'): <wx._gdi.Brush;  >,
         ('Grey', 'Solid'): <wx._gdi.Brush;  >,
         ('LightGrey', 'Solid'): <wx._gdi.Brush;  >,
         ('MediumGrey', 'Solid'): <wx._gdi.Brush;  >,
        ...

### FillStyleList

  Type:
    `dict`
  Value:

        {'BiDiagonalHatch': 111,
         'CrossDiagHatch': 112,
         'CrossHatch': 114,
         'FDiagonal_Hatch': 113,
         'HorizontalHatch': 115,
         'Solid': 100,
         'Transparent': 106,
         'VerticalHatch': 116}

### LineStyleList

  Type:
    `dict`
  Value:

        {'Dot': 101,
         'DotDash': 104,
         'LongDash': 102,
         'ShortDash': 103,
         'Solid': 100,
         'Transparent': 106}

### PenList

  Type:
    `dict`
  Value:

        {(None, 'Transparent', 1): <wx._gdi.Pen;  >,
         ('Black', 'Solid', 1): <wx._gdi.Pen;  >,
         ('Cyan', 'Solid', 1): <wx._gdi.Pen;  >,
         ('Green', 'Solid', 1): <wx._gdi.Pen;  >,
         ('Grey', 'Solid', 1): <wx._gdi.Pen;  >,
         ('LightGrey', 'Solid', 1): <wx._gdi.Pen;  >,
         ('MediumGrey', 'Solid', 1): <wx._gdi.Pen;  >,
         ('Red', 'Solid', 1): <wx._gdi.Pen;  >,
        ...

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:14:15 2007 | http://epydoc.sf.net